Page MenuHomePhabricator

advisorswiki is not in any s?.dblist
Closed, ResolvedPublic

Description

This wiki was added in rOMWC32c7a2db43fd: Add advisorswiki, but it was not placed in any of the s?.dblist files.

  • Check whether it missed any schema changes since it was added (including any ongoing changes). T202904#4537286
  • Add it to the appropriate shard dblist.
  • Add a test to stop this from happening in the future.

See also T200140: Ensure labswiki and labtestwiki are up to date with MW schema changes, where we realized that labswiki and labtestwiki had missed schema changes because they're in their own special "wikitech.dblist".

Details

Related Gerrit Patches:
operations/mediawiki-config : masterTest that all wikis are in one of the section dblists

Event Timeline

Anomie created this task.Aug 27 2018, 4:18 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 27 2018, 4:18 PM

Change 455587 had a related patch set uploaded (by Anomie; owner: Anomie):
[operations/mediawiki-config@master] Test that all wikis are in one of the shard dblists

https://gerrit.wikimedia.org/r/455587

Was it created 15th of April? If so, it has missed schema changes for sure. I will need to check which ones

The 18th of April at the latest, it looks like.

I will check all the schema changes we have done since 18th April then.

Mentioned in SAL (#wikimedia-operations) [2018-08-27T16:31:53Z] <anomie> Running populateContentTables.php on advisorswiki for T183488 and T202904

I don't see a task for creating this wiki, might want to check if nothing else has been missed off the list as well.

I will check all the schema changes we have done since 18th April then.

It looks like you might want to check as early as 8th March. I don't know at which point in the process the DB was actually created.

I don't see a task for creating this wiki, might want to check if nothing else has been missed off the list as well.

The task for creating it is linked from the change linked in this task's description. You can find other related tasks by searching Gerrit for changes linked to that task.

The task itself appears to be non-public. I'll leave it to others to decide whether to change that or provide details, but those details don't seem to matter for this task.

The task itself appears to be non-public. I'll leave it to others to decide whether to change that or provide details, but those details don't seem to matter for this task.

Per T189181#4060621, the visibility of the task is intentional.

Is the documentation of creating a wiki clear enough? Should it be added to other dblists, aside from the section one?

Marostegui added a comment.EditedAug 28 2018, 6:56 AM

I will check all the schema changes we have done since 18th April then.

It looks like you might want to check as early as 8th March. I don't know at which point in the process the DB was actually created.

I will check some other wikis that were created, as it might have not missed that many schema changes now that I think about it, as it would have only missed those patches that were merged after, and I am not sure we have that many.
Will report back!

Is the documentation of creating a wiki clear enough? Should it be added to other dblists, aside from the section one?

I answer to myself: Yes, I think it is clear (so was a mistake) and this is the lists it is added to:

$ grep advisorswiki *
all.dblist:advisorswiki
nowikidatadescriptiontaglines.dblist:advisorswiki
private.dblist:advisorswiki
small.dblist:advisorswiki
special.dblist:advisorswiki
Marostegui added a comment.EditedAug 28 2018, 7:37 AM

Missing schema changes (I have compared it with the wiki created at T201001

T192926 (applied)
T196379 (applied)
T195193 (applied)
T197891 (applied)
T199368 (applied)

Marostegui updated the task description. (Show Details)Aug 28 2018, 7:37 AM

Mentioned in SAL (#wikimedia-operations) [2018-08-28T07:39:34Z] <marostegui> Deploy schema change on s3:advisorswiki - T202904 T197891

Mentioned in SAL (#wikimedia-operations) [2018-08-28T07:41:56Z] <marostegui> Deploy schema change on s3:advisorswiki - T202904 https://phabricator.wikimedia.org/T195193

Mentioned in SAL (#wikimedia-operations) [2018-08-28T07:45:19Z] <marostegui> Deploy schema change on s3:advisorswiki - T202904 T196379

Marostegui moved this task from Triage to Done on the DBA board.Aug 28 2018, 7:59 AM
Marostegui updated the task description. (Show Details)

Change 455587 merged by jenkins-bot:
[operations/mediawiki-config@master] Test that all wikis are in one of the section dblists

https://gerrit.wikimedia.org/r/455587

Can this task be closed ? @Marostegui

Can this task be closed ? @Marostegui

From the DB side it is all done but I will leave that question up to @Anomie to answer, as I also think the test part is done as per the last merge: https://gerrit.wikimedia.org/r/455587
But I am not sure whether there is something pending from his side.

Anomie closed this task as Resolved.Sep 4 2018, 3:13 PM
Anomie updated the task description. (Show Details)

Yes, the other two checkboxes are done by my patch.